Bug 244787 - [exp-run] switch default Ruby to 2.7
Summary: [exp-run] switch default Ruby to 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-13 09:46 UTC by Koichiro Iwao
Modified: 2020-11-30 02:21 UTC (History)
6 users (show)

See Also:
antoine: exp-run+


Attachments
patch-ruby27-default (444 bytes, text/plain)
2020-03-13 09:46 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2020-03-13 09:46:19 UTC
Created attachment 212377 [details]
patch-ruby27-default

As usual, switch to Ruby 2.7.
Comment 1 Matthias Fechner freebsd_committer 2020-03-13 18:36:52 UTC
I tested ruby 2.7 with gitlab-ce and it does not work.
I see a lot of errors so we have to wait till gitlab is working with ruby 2.7.

Lets see, maybe the next version works (they release normally on the 22.).
Comment 2 Matthias Fechner freebsd_committer 2020-03-14 04:09:42 UTC
To give you more details, I see error like:
==> /usr/local/www/gitlab-ce/log/production.log <==

ArgumentError (wrong number of arguments (given 3, expected 1..2)):

lib/gitlab/request_profiler/middleware.rb:17:in `call'
lib/gitlab/middleware/go.rb:20:in `call'
lib/gitlab/etag_caching/middleware.rb:13:in `call'
lib/gitlab/middleware/multipart.rb:117:in `call'
lib/gitlab/middleware/read_only/controller.rb:53:in `call'
lib/gitlab/middleware/read_only.rb:18:in `call'
lib/gitlab/middleware/basic_health_check.rb:25:in `call'
lib/gitlab/middleware/request_context.rb:23:in `call'
config/initializers/fix_local_cache_middleware.rb:9:in `call'
lib/gitlab/metrics/requests_rack_middleware.rb:49:in `call'
lib/gitlab/middleware/release_env.rb:12:in `call'


So there seems to be an API change which is not fully compatible with gitlab, yet.
Comment 3 Matthias Fechner freebsd_committer 2020-11-23 08:11:26 UTC
the new Gitlab-ce 13.6.0 requires now ruby 2.7.
I tested it successfully and have no constraints to commit this change.

After ruby 2.7 is the new default version, I will commit the update for gitlab-ce 13.6.0.
Comment 4 Matthias Fechner freebsd_committer 2020-11-23 12:31:53 UTC
I upgrade now some ports that failed on my local tests.
Do do not get any builds errors anymore.

I think a exp-run can now by executed.
Comment 6 commit-hook freebsd_committer 2020-11-24 15:54:04 UTC
A commit references this bug:

Author: mfechner
Date: Tue Nov 24 15:53:28 UTC 2020
New revision: 556164
URL: https://svnweb.freebsd.org/changeset/ports/556164

Log:
  Mark port as broken with ruby 2.7.
  The page:
  https://github.com/jcs/rubywarden
  also tells, that this port will not be maintained anymore.

  PR:		244787

Changes:
  head/security/ruby-bitwarden/Makefile
Comment 7 commit-hook freebsd_committer 2020-11-24 16:01:06 UTC
A commit references this bug:

Author: mfechner
Date: Tue Nov 24 16:00:12 UTC 2020
New revision: 556168
URL: https://svnweb.freebsd.org/changeset/ports/556168

Log:
  Update to 2.2.0 which fixes compiliation errors with ruby 2.7.

  PR:		244787

Changes:
  head/devel/rubygem-rice/Makefile
  head/devel/rubygem-rice/distinfo
Comment 8 commit-hook freebsd_committer 2020-11-24 16:05:08 UTC
A commit references this bug:

Author: mfechner
Date: Tue Nov 24 16:05:01 UTC 2020
New revision: 556169
URL: https://svnweb.freebsd.org/changeset/ports/556169

Log:
  Marked it as broken for ruby 2.7.
  Seems to be a dead project, last upgrade 2010-02-07 and homepage does not load anymore
  https://rubygems.org/gems/tmail
  http://tmail.rubyforge.org/

  PR:		244787

Changes:
  head/mail/rubygem-tmail/Makefile
Comment 9 commit-hook freebsd_committer 2020-11-24 16:13:11 UTC
A commit references this bug:

Author: mfechner
Date: Tue Nov 24 16:12:39 UTC 2020
New revision: 556170
URL: https://svnweb.freebsd.org/changeset/ports/556170

Log:
  Mark puppet5 to be broken with ruby 2.7.
  Maybe a newer version puppet 6.x or 7.x must be used to work with ruby 2.7.

  PR:		244787

Changes:
  head/sysutils/puppet5/Makefile
Comment 10 Matthias Fechner freebsd_committer 2020-11-24 16:14:23 UTC
All 4 ports are fixed for ruby 2.7.
Comment 11 Antoine Brodin freebsd_committer 2020-11-28 08:50:14 UTC
Exp-run looks fine
Comment 12 commit-hook freebsd_committer 2020-11-28 14:54:54 UTC
A commit references this bug:

Author: mfechner
Date: Sat Nov 28 14:54:12 UTC 2020
New revision: 556492
URL: https://svnweb.freebsd.org/changeset/ports/556492

Log:
  Switch default version of Ruby from 2.6 to 2.7.

  For detailed list of changes, please check the Ruby website:
  https://www.ruby-lang.org/en/news/2019/12/25/ruby-2-7-0-released/
  https://www.ruby-lang.org/en/news/2020/03/31/ruby-2-7-1-released/
  https://www.ruby-lang.org/en/news/2020/10/02/ruby-2-7-2-released/

  How to upgrade is described in UPDATING entry 20201128.

  PR:		244787
  Submitted by:	meta@
  Exp-Run:	https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244787
  Thanks to:	antoine, meta

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING
Comment 13 Matthias Fechner freebsd_committer 2020-11-28 16:03:02 UTC
Committed, thanks.
Comment 14 Koichiro Iwao freebsd_committer 2020-11-30 02:21:45 UTC
Thanks for your work!